View Issue Details

IDProjectCategoryView StatusLast Update
0001483Конфигурация[All Projects] Generalpublic2019-04-06 22:36
ReporterruslanAssigned Toruslan 
PriorityurgentSeverityfeatureReproducibilityalways
Status closedResolutionreopened 
PlatformКСАП ГранитOSWindowsOS VersionXP Prof
Summary0001483: +Конфигурация -Пользователи-Доступ по прайс-листам-Расширить права на чтение Прайс-листа
DescriptionВ Интерфейсе настройки прав по прайс-листам(см. рисунок) на панели инструментов в окне Пользователи добавить возможность расширить права Чтение на вариант:
-Просмотр - это право дает только возможность просматривать прайс-лист в окне справочника Прайс-листы, НО не дает возможность использования прайс-листа в Документах;
-Использование - это право дает возможность использовать прайс-лист в документах Счет/Накладная/Заказ для установки цен
Комбинация этих двух прав это право на Чтение, которое есть сейчас.
Т.е. право Просмотр - добавление этого Прайс-листа в список отображаемых в окне справочника Прайс-листы, право Использование - добавляет в список отображаемых Прайс-листов в окне при нажатии на кнопку Установить цены по Прайс-Листу в документах.
TagsNo tags attached.

Relationships

related to 0001309 closedbarry Конфигурация +Конфигурация/Склад- добавить Доступ пользователя по Прайс-Листам(аналогично Доступ по Предприятиям) 
related to 0001484 closedbarry Склад + Склад - доступ по прайс-листам: разделить права чтение / использование 

Activities

ruslan

2018-12-06 18:14

manager  

barry

2018-12-20 15:55

administrator   ~0003996

admn32.zip
настройка прав

ruslan

2018-12-21 13:06

manager   ~0003997

В настройке Прав(окно на рисунке), при нажатии на кнопку Добавить прайс-лист на редактирование(зеленый ярлык) в новом окне установки прав активен ТОЛЬКО флаг "Использование", сделай чтоб аналогично доступу на Чтение было активно два флага- Редактирование и Использование.

ruslan

2018-12-21 13:15

manager   ~0003998

При добавлении в доступ нескольких прайс-листов получается фокус курсора после добавления прайс-листа остается в окне Разрешенные прайс-листы и при нажатии на кнопку Добавить доступ открывается на редактирование доступ первого в списке РАЗРЕШЕННОГО прайс-листа. Сделай, чтоб курсор переносился на область недоступных прайс-листов на первый прайс после добавления прайс-листа в доступ.

barry

2019-02-27 16:17

administrator   ~0004011

--- активен ТОЛЬКО флаг "Использование"
? Активны все три опции.

1483.jpg (57,717 bytes)
1483.jpg (57,717 bytes)

barry

2019-02-27 16:23

administrator   ~0004012

По второму тоже не совсем понял. На "добавить доступ" берется прайс-лист из правого списка, там указывается к какому прайс-листу относится назначение прав.
На кнопку "добавить доступ" у меня не получается выйти на редактирование прав.

ruslan

2019-03-19 22:14

manager   ~0004015

>>--- активен ТОЛЬКО флаг "Использование"
>>? Активны все три опции.
Я имел в ввиду Установлен флаг "Использование".

ruslan

2019-03-19 22:21

manager   ~0004016

Вот еще какой глюк:
Нажимаем кнопку Добавить доступ на Прайс-лист(верхняя с зеленой галочкой).
Открывается окно как у тебя на Скрине.
Ставим комбинацию Флагов Использование и Чтение. Нажимаем Применить.
В левое окно доступных прайс-листов переноситься прайс-лист с зеленой галочкой -открываем установлены флаги Использование и Редактирование.
По поводу камента 3998 - поведение сейчас поменялось, НО сделай чтоб фокус курсора в окне со списком недоступных прайс-листов, после нажатия кнопки Применить в окне установки прав, не "улетал" на первую запись, а переходил на одну запись вверх от той на которую назначили права(перенесли влево).

barry

2019-03-20 17:04

administrator   ~0004018

admn32.zip

ruslan

2019-03-27 23:07

manager   ~0004029

См. картинки, что я хотел - при назначении прав, например как сейчас Прайс-Омега, когда я нажимаю кнопку Применить в окне назначения прав, см. вторую картинку курсор "улетел" на первую запись списка, а я хочу чтоб он перешел на одну запись в верх- это Прайс-лист Виниколь.

ruslan

2019-03-27 23:08

manager  

Issue History

Date Modified Username Field Change
2018-12-06 18:14 ruslan New Issue
2018-12-06 18:14 ruslan File Added: Доступ по прайс-листам.jpg
2018-12-06 18:14 ruslan Relationship added related to 0001309
2018-12-19 17:40 ruslan Relationship added related to 0001484
2018-12-20 15:55 barry Note Added: 0003996
2018-12-21 13:06 ruslan Note Added: 0003997
2018-12-21 13:06 ruslan Assigned To => ruslan
2018-12-21 13:06 ruslan Status new => feedback
2018-12-21 13:15 ruslan Note Added: 0003998
2019-02-27 16:17 barry File Added: 1483.jpg
2019-02-27 16:17 barry Note Added: 0004011
2019-02-27 16:23 barry Note Added: 0004012
2019-03-19 22:14 ruslan Note Added: 0004015
2019-03-19 22:21 ruslan Note Added: 0004016
2019-03-20 17:04 barry Note Added: 0004018
2019-03-20 17:05 barry Status feedback => resolved
2019-03-20 17:05 barry Resolution open => fixed
2019-03-27 23:07 ruslan Status resolved => feedback
2019-03-27 23:07 ruslan Resolution fixed => reopened
2019-03-27 23:07 ruslan Note Added: 0004029
2019-03-27 23:08 ruslan File Added: Назначение прав на прайс скрин2.jpg
2019-03-27 23:08 ruslan File Added: Назначение прав на прайс скрин1.png
2019-04-06 22:36 ruslan Status feedback => closed